org.apache.calcite.avatica.proto

## Interface Common.ColumnValueOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.ColumnValue, Common.ColumnValue.Builder

Enclosing class:
  Common

    public static interface Common.ColumnValueOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Common.TypedValue` `getArrayValue(int index)` `repeated .TypedValue array_value = 2;`
`int` `getArrayValueCount()` `repeated .TypedValue array_value = 2;`
`List<Common.TypedValue>` `getArrayValueList()` `repeated .TypedValue array_value = 2;`
`Common.TypedValueOrBuilder` `getArrayValueOrBuilder(int index)` `repeated .TypedValue array_value = 2;`
`List<? extends Common.TypedValueOrBuilder>` `getArrayValueOrBuilderList()` `repeated .TypedValue array_value = 2;`
`boolean` `getHasArrayValue()` Is an array value set?
`Common.TypedValue` `getScalarValue()` `optional .TypedValue scalar_value = 4;`
`Common.TypedValueOrBuilder` `getScalarValueOrBuilder()` `optional .TypedValue scalar_value = 4;`
`Common.TypedValue` `getValue(int index)` deprecated, use array_value or scalar_value
`int` `getValueCount()` deprecated, use array_value or scalar_value
`List<Common.TypedValue>` `getValueList()` deprecated, use array_value or scalar_value
`Common.TypedValueOrBuilder` `getValueOrBuilder(int index)` deprecated, use array_value or scalar_value
`List<? extends Common.TypedValueOrBuilder>` `getValueOrBuilderList()` deprecated, use array_value or scalar_value
`boolean` `hasScalarValue()` `optional .TypedValue scalar_value = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getValueList

    List<Common.TypedValue> getValueList()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValue

    Common.TypedValue getValue(int index)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValueCount

    int getValueCount()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValueOrBuilderList

    List<? extends Common.TypedValueOrBuilder> getValueOrBuilderList()

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getValueOrBuilder

    Common.TypedValueOrBuilder getValueOrBuilder(int index)

     deprecated, use array_value or scalar_value

`repeated .TypedValue value = 1;`

#### getArrayValueList

    List<Common.TypedValue> getArrayValueList()

`repeated .TypedValue array_value = 2;`

#### getArrayValue

    Common.TypedValue getArrayValue(int index)

`repeated .TypedValue array_value = 2;`

#### getArrayValueCount

    int getArrayValueCount()

`repeated .TypedValue array_value = 2;`

#### getArrayValueOrBuilderList

    List<? extends Common.TypedValueOrBuilder> getArrayValueOrBuilderList()

`repeated .TypedValue array_value = 2;`

#### getArrayValueOrBuilder

    Common.TypedValueOrBuilder getArrayValueOrBuilder(int index)

`repeated .TypedValue array_value = 2;`

#### getHasArrayValue

    boolean getHasArrayValue()

     Is an array value set?

`optional bool has_array_value = 3;`

#### hasScalarValue

    boolean hasScalarValue()

`optional .TypedValue scalar_value = 4;`

#### getScalarValue

    Common.TypedValue getScalarValue()

`optional .TypedValue scalar_value = 4;`

#### getScalarValueOrBuilder

    Common.TypedValueOrBuilder getScalarValueOrBuilder()

`optional .TypedValue scalar_value = 4;`